QGIS Application - Bug report #7068
Joined table regressions
2013-01-29 02:27 AM - Regis Haubourg

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16152
Description

Hi all,

in master révision , | tested join table feature because many users complained in 1.8 of erratic behaviour.

JOINING a dbf table to a postgis table, i tested all Index and cache options same resullt.

- Displaying attribute table works

- Ordering attribute works if clicking on a field of destination table. When ordering a field of joined table, attribute table goes blank.

- Labeling or trying to create a graduated or single value analyse just don't fetch any value, and lead to crashes.

nothing works OK now, and it's probably normal with recent APl merge, but we need to consolidate this before going further with 1- n
relations discussed by matthias Khun and al.

thanks all
Régis

Associated revisions

Revision 3959f94f - 2013-03-27 01:34 AM - Minoru Akagi

Fix table join (fix #7068)

Revision 30c343cc - 2013-03-29 05:52 AM - Minoru Akagi

Fix broken compatibility of table join (project file) (fix #7068)

History

#1 - 2013-02-25 06:04 PM - Minoru Akagi
- File join_blank1.png added
- File shiftedJoinedFields.zip added

Added a set of test data, which includes a Shapefile and two CSV files. One CSV file (fruits1.csv) has keys for join in the first column , and the other
(fruits2.csv) has them in the second. In the joined table, there is a blank field. The fields from fruits1.csv are shifted one to the left.

#2 - 2013-02-27 05:48 PM - Minoru Akagi
Another test file is on #5761 (issue before the API merge). The project file in testdata.zip contains a shape layer joined with two excel sheets. On the

project loading, the field joins are not fully restored. | can see only fields from "negative" layer in the attribute table. In 1.8, | can see both "positive" and

"negative" fields.

#3 - 2013-03-01 11:40 PM - Minoru Akagi

PullRequest: https://github.com/qgis/Quantum-GlIS/pull/452

#4 - 2013-03-04 08:54 PM - Mathieu Pellerin - nIRV

Minoru, I've filed #7271 yesterday, and realizing your work might also cover that issue. I'll try and test things out once your patch is applied to the trunk.

#5 - 2013-03-08 02:42 AM - Denis Rouzaud

| just experienced a weird effect: all my joined fields were saved in the project as layer fields...which led to non-access to edition of the layer!

#6 - 2013-03-31 10:04 PM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"30c343cc89fff575c6¢c9d98ca3f8e8bcf38a7b75".

#7 - 2013-04-01 12:55 AM - Minoru Akagi

Closed automatically by the commit messages. Please reopen if problems remain.

#8 - 2013-04-04 05:46 AM - Regis Haubourg

- Status changed from Closed to Reopened

Hi,

there is no crash anymore, but still nothing working in revision 87572f7.

Styling by category, labeling of joined attributes leads to nothing displayed on map. Feature count and tests of queries in ruled based labeling works OK.
Please don't close such critical bugs without a feedback request before..

Cheers,

Régis

#9 - 2013-04-04 10:11 PM - Minoru Akagi

regis Haubourg wrote:

Please don't close such critical bugs without a feedback request before..

Sorry, you are right.
Well, in master, | cannot reproduce the issues you've mentioned. Styling and labeling are working well with the attatched/linked testdata.
https://github.com/qgis/Quantum-GIS/pull/452

Could you provide any sample data that express the issues?

#10 - 2013-04-05 02:35 AM - Minoru Akagi

regis Haubourg wrote:

Styling by category, labeling of joined attributes leads to nothing displayed on map.

| have been able to confirm the issue with joins of PostGIS/Spatialite layer and csv.

#11 - 2013-04-11 08:13 AM - Werner Macho

manually applied the fix from PhilippeDorelon

this should now be fixed by commit:efe3c55

please test and close this bug if everything works as expected

#12 - 2013-04-30 02:27 AM - Minoru Akagi

works fine. Thank you Philippe Dorelon.
However a bug is filed to #7072 by Philippe, and there is another bug as Denis Rouzaud pointed out. See #7739.

#13 - 2013-05-28 09:32 PM - Mathieu Pellerin - nIRV

Per Werner Macho's comment, who indicates a commit has fixed the issue discussed here, can we close?

#14 - 2013-05-28 11:21 PM - Regis Haubourg
- Status changed from Reopened to Closed

- % Done changed from 0 to 100

OK to me, thanks guys.

Files
shiftedJoinedFields.zip 3.94 KB 2013-02-25 Minoru Akagi
join_blank1.png 40.4 KB 2013-02-25 Minoru Akagi
